summaryrefslogtreecommitdiffstats
path: root/testing/pound/pound.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/pound/pound.initd')
-rw-r--r--testing/pound/pound.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/pound/pound.initd b/testing/pound/pound.initd
new file mode 100644
index 00000000..13513940
--- /dev/null
+++ b/testing/pound/pound.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-servers/pound/files/pound.init-1.9,v 1.1 2005/07/07 15:45:08 mkennedy Exp $
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting pound"
+ if [ ! -f "/etc/pound.cfg" ]; then
+ eend 1 "configfile /etc/pound.cfg not found."
+ fi
+ start-stop-daemon --quiet --start --exec /usr/sbin/pound \
+ -- -f /etc/pound.cfg -p /var/run/pound.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping pound"
+ start-stop-daemon --quiet --stop --pidfile /var/run/pound.pid
+ eend $?
+}
+